import request from '@/utils/request'

// 查询广告历史列表
export function listPosterHistory(query) {
  return request({
    url: '/netEwm/posterHistory/list',
    method: 'get',
    params: query
  })
}

// 查询广告历史详细
export function getPosterHistory(id) {
  return request({
    url: '/netEwm/posterHistory/' + id,
    method: 'get'
  })
}

// 新增广告历史
export function addPosterHistory(data) {
  return request({
    url: '/netEwm/posterHistory',
    method: 'post',
    data: data
  })
}

// 修改广告历史
export function updatePosterHistory(data) {
  return request({
    url: '/netEwm/posterHistory',
    method: 'put',
    data: data
  })
}

// 删除广告历史
export function delPosterHistory(id) {
  return request({
    url: '/netEwm/posterHistory/' + id,
    method: 'delete'
  })
}
